pw_impl_device_events Struct Reference
Implementation API » Device Impl

Device events, listen to them with pw_impl_device_add_listener. More...

## Data Fields

uint32_t | version
void(* | destroy )(void *data)
| the device is destroyed More...
void(* | free )(void *data)
| the device is freed More...
void(* | initialized )(void *data)
| the device is initialized More...
void(* | info_changed )(void *data, const struct pw_device_info *info)
| the device info changed More...

## Detailed Description

Device events, listen to them with pw_impl_device_add_listener.

## Field Documentation

## version

uint32_t pw_impl_device_events::version

## destroy

void(* pw_impl_device_events::destroy) (void *data)

the device is destroyed

## free

void(* pw_impl_device_events::free) (void *data)

the device is freed

## initialized

void(* pw_impl_device_events::initialized) (void *data)

the device is initialized

## info_changed

void(* pw_impl_device_events::info_changed) (void *data, const struct pw_device_info *info)

the device info changed

The documentation for this struct was generated from the following file:

- pipewire/impl-device.h